Bug 1473586 - Package Review: python-barbican-tests-tempest - Barbican Tempest plugin
Package Review: python-barbican-tests-tempest - Barbican Tempest plugin
Status: CLOSED NEXTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: hguemar
hguemar
:
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-07-21 04:15 EDT by Chandan Kumar
Modified: 2017-08-08 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 11:45:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amoralej: rdo‑review+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2017-07-21 04:15:46 EDT
Package Name: python-barbican-tests-tempest
Package Description: Tempest plugin for the barbican project. 
Package URL: https://github.com/openstack/barbican-tempest-plugin.git
RDO Username: chkumar246
Comment 1 Alfredo Moralejo 2017-07-21 04:45:41 EDT
licensecheck output:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./barbican_tempest_plugin/README.rst: *No copyright* UNKNOWN
./barbican_tempest_plugin/__init__.py: *No copyright* Apache (v2.0)
./barbican_tempest_plugin/clients.py: Apache (v2.0)
./barbican_tempest_plugin/config.py: Apache (v2.0)
./barbican_tempest_plugin/plugin.py: Apache (v2.0)
./tools/pre_test_hook.sh: *No copyright* UNKNOWN
./barbican_tempest_plugin/tests/base.py: Apache (v2.0)
./barbican_tempest_plugin/tests/test_barbican_tempest_plugin.py: *No copyright* Apache (v2.0)
./barbican_tempest_plugin/tests/api/base.py: Apache (v2.0)
./barbican_tempest_plugin/tests/api/test_consumers.py: Apache (v2.0)
./barbican_tempest_plugin/tests/api/test_containers.py: Apache (v2.0)
./barbican_tempest_plugin/tests/api/test_orders.py: Apache (v2.0)
./barbican_tempest_plugin/tests/api/test_quotas.py: Apache (v2.0)
./barbican_tempest_plugin/tests/api/test_secret_metadata.py: Apache (v2.0)
./barbican_tempest_plugin/tests/api/test_secrets.py: Apache (v2.0)
./barbican_tempest_plugin/tests/scenario/barbican_manager.py: Apache (v2.0)
./barbican_tempest_plugin/tests/scenario/manager.py: Apache (v2.0)
./barbican_tempest_plugin/tests/scenario/test_ephemeral_disk_encryption.py: Apache (v2.0)
./barbican_tempest_plugin/tests/scenario/test_image_signing.py: Apache (v2.0)
./barbican_tempest_plugin/tests/scenario/test_volume_encryption.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/__init__.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/consumer_client.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/container_client.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/order_client.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/quota_client.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/secret_client.py: Apache (v2.0)
./barbican_tempest_plugin/services/key_manager/json/secret_metadata_client.py: Apache (v2.0)


License is a valid Apache License v2.0
Comment 2 Chandan Kumar 2017-07-21 08:51:27 EDT
Spec file: https://review.rdoproject.org/r/#/c/7821/
Comment 4 Alfredo Moralejo 2017-07-24 13:26:04 EDT
official fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 10 files have unknown
     license. Detailed output of licensecheck in /tmp/python-barbican-
     tests-tempest/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev33
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-barbican-tests-tempest-0.0.1-0.20170724104842.ab903f3.el7.centos.noarch.rpm
          python-barbican-tests-tempest-0.0.1-0.20170724104842.ab903f3.el7.centos.src.rpm
python2-barbican-tests-tempest.noarch: W: summary-ended-with-dot C Tempest plugin for the barbican project.
python2-barbican-tests-tempest.noarch: E: no-changelogname-tag
python-barbican-tests-tempest.src: W: summary-ended-with-dot C Tempest plugin for the barbican project.
python-barbican-tests-tempest.src: E: no-changelogname-tag
python-barbican-tests-tempest.src: W: invalid-url Source0: barbican_tempest_plugin-0.0.1.dev33-0.20170724104842.ab903f3.tar.gz
2 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-barbican-tests-tempest.noarch: W: summary-ended-with-dot C Tempest plugin for the barbican project.
python2-barbican-tests-tempest.noarch: E: no-changelogname-tag
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
python2-barbican-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-cryptography
    python-oslo-config
    python-oslo-log
    python-pbr
    python-six
    python-tempest



Provides
--------
python2-barbican-tests-tempest:
    python-barbican-tests-tempest
    python2-barbican-tests-tempest



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn python-barbican-tests-tempest-0.0.1-0.20170724104842.ab903f3.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Just a note:

- regarding error: no-changelogname-tag, this spec has been created for DLRN which doesn't requires changelog entry.

This package is APPROVED.
Comment 5 Alfredo Moralejo 2017-08-08 11:45:42 EDT
The package is already available in RDO Trunk repo:

https://trunk.rdoproject.org/centos7-master/consistent/

Note You need to log in before you can comment on or make changes to this bug.